Get a list of all quotes

Requires the QUOTE.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

customer_idstringOptional
Filter based of customer resource ID
statusstringOptional
Filter invoices based on quote status
owner_user_idstringOptional
Filter based on owner resource ID
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
datalist of objects
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error